=== debian/control ===
Source: thruk
Section: net
Priority: optional
Maintainer: Sven Nierlein <sven.nierlein@consol.de>
Build-Depends: debhelper (>= 7), libthruk (>=2.44.2), lsb-release, apache2, perl, libmodule-install-perl, npm
Standards-Version: 3.7.3
Homepage: http://www.thruk.org
Bugs: https://github.com/sni/Thruk/issues
Vcs-Git: git://github.com/sni/Thruk.git

Package: thruk
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${extra:Depends}, thruk-base (= ${source:Version})
Recommends: thruk-plugin-reporting (= ${source:Version})
Description: Monitoring Webinterface for Nagios/Naemon/Icinga and Shinken
 Thruk is a multibackend monitoring webinterface which currently
 supports Nagios, Naemon, Icinga and Shinken as backend using the Livestatus
 API. It is designed to be a 'dropin' replacement and covers almost
 all of the original features plus adds additional enhancements for
 large installations. This is the metapackage for complete Thruk setup.

Package: thruk-base
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${extra:Depends},
         libthruk (>=2.44.2),
         apache2 | nginx-light | nginx-full | nginx-extras | nginx-core,
         libapache2-mod-fcgid | nginx-light | nginx-full | nginx-extras | nginx-core,
         cron-daemon, logrotate, liblwp-protocol-https-perl
Provides: thruk
Replaces: thruk (<< 2.00)
Breaks: thruk (<< 2.00)
Description: Monitoring Webinterface for Nagios/Icinga and Shinken
 Thruk is a multibackend monitoring webinterface which currently
 supports Nagios, Icinga and Shinken as backend using the Livestatus
 API. It is designed to be a 'dropin' replacement and covers almost
 all of the original features plus adds additional enhancements for
 large installations. This package contains the Thruk gui base files.



Package: thruk-plugin-reporting
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}, phantomjs,
         thruk-base (= ${source:Version}), fonts-liberation
Description: This package contains the reporting addon for thruk useful for sla
 and event reporting.
